--Make sure the global FactionData table exists.
if (FG2_FactionData == nil) then FG2_FactionData = {} end

--And now, define the faction.
FG2_FactionData["Ravenholdt"] = 
{
    ["Category"] = "Classic",  --The current list of Categories is at the top of FactionGrinder2.lua
    ["Side"]     = "Both",     --Alliance, Horde, or Both

    ["Icon"] = "Interface\\Icons\\INV_Box_03",

    ["FactionName"] =          --These are the faction names as returned by the client in each language
        {
            ["enUS"] = "Ravenholdt",
            ["deDE"] = "Ravenholdt", --NOT TRANSLATED
            ["frFR"] = "Ravenholdt", --NOT TRANSLATED
            ["zhTW"] = "Ravenholdt", --NOT TRANSLATED
            ["zhCN"] = "Ravenholdt", --NOT TRANSLATED
        },

    ["Abbreviation"] =
        {
            ["enUS"] = "RH",
            ["deDE"] = "RH", --NOT TRANSLATED
            ["frFR"] = "RH", --NOT TRANSLATED
            ["zhTW"] = "RH", --NOT TRANSLATED
            ["zhCN"] = "RH", --NOT TRANSLATED
        },

    ["StartingRep"] = 0,
    ["RacialRepBonuses"] = 
        {
            ["Human"]     = 0,
            ["Gnome"]     = 0,
            ["Dwarf"]     = 0,
            ["Night Elf"] = 0,
            ["Draenei"]   = 0,

            ["Orc"]       = 0,
            ["Scourge"]   = 0,  --Yes, this is the undead.  Not sure why they mix it up like this.
            ["Troll"]     = 0,
            ["Tauren"]    = 0,
            ["Blood Elf"] = 0
        },
    ["ClassRepBonuses"] = 
        {
            ["DEATH KNIGHT"] = 0,
            ["DRUID"]        = 0,
            ["HUNTER"]       = 0,
            ["MAGE"]         = 0,
            ["PALADIN"]      = 0,
            ["PRIEST"]       = 0,
            ["ROGUE"]        = 0,
            ["SHAMAN"]       = 0,
            ["WARLOCK"]      = 0,
            ["WARRIOR"]      = 0
        },
    ["Quests"] = 
        {
            [1]={
                    ["Quest"] = "JunkboxesNeeded",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Box_03",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "Junkboxes Needed",
                                    ["deDE"] = "Junkboxes Needed", --NOT TRANSLATED
                                    ["frFR"] = "Junkboxes Needed", --NOT TRANSLATED
                                    ["zhTW"] = "Junkboxes Needed", --NOT TRANSLATED
                                    ["zhCN"] = "Junkboxes Needed", --NOT TRANSLATED
                                }
                        },
                    ["RepValue"] = 75,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [16885] =
                                {
                                    ["Count"] = 5, --Number per turn in
                                    ["Shareable"] = true,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Heavy Junkbox",
                                            ["deDE"] = "Heavy Junkbox", --NOT TRANSLATED
                                            ["frFR"] = "Heavy Junkbox", --NOT TRANSLATED
                                            ["zhTW"] = "Heavy Junkbox", --NOT TRANSLATED
                                            ["zhCN"] = "Heavy Junkbox", --NOT TRANSLATED
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 50,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Fahrad",
                                            ["deDE"] = "Fahrad", --NOT TRANSLATED
                                            ["frFR"] = "Fahrad", --NOT TRANSLATED
                                            ["zhTW"] = "Fahrad", --NOT TRANSLATED
                                            ["zhCN"] = "Fahrad", --NOT TRANSLATED
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Alterac Mountains",
                                            ["deDE"] = "Alterac Mountains", --NOT TRANSLATED
                                            ["frFR"] = "Alterac Mountains", --NOT TRANSLATED
                                            ["zhTW"] = "Alterac Mountains", --NOT TRANSLATED
                                            ["zhCN"] = "Alterac Mountains", --NOT TRANSLATED
                                        },
                                    ["xCoord"] = 84,
                                    ["yCoord"] = 80
                                }
                        }
                },
            [2]={["EndOfRow"] = true}
        }
}
