﻿--Make sure the global FactionData table exists.
if (FG2_FactionData == nil) then FG2_FactionData = {} end

--And now, define the faction.
FG2_FactionData["Kurenai"] =
{
    ["Category"] = "BurningCrusade",  --The current list of Categories is at the top of FactionGrinder2.lua
    ["Side"]     = "Alliance",     --Alliance, Horde, or Both

    ["Icon"] = "Interface\\Icons\\INV_Misc_Foot_Centaur",

    ["FactionName"] =          --These are the faction names as returned by the client in each language
        {
            ["enUS"] = "Kurenai",
            ["deDE"] = "Kurenai",
            ["frFR"] = "Kurenai",
            ["zhTW"] = "卡爾奈",
			["zhCN"] = "库雷尼",
        },

    ["Abbreviation"] =
        {
            ["enUS"] = "Ku",
            ["deDE"] = "Ku",
            ["frFR"] = "Ku",
            ["zhTW"] = "卡爾奈",
			["zhCN"] = "库雷尼",
        },

    ["StartingRep"] = 0,
    ["RacialRepBonuses"] = 
        {
            ["Human"]     = 0,
            ["Gnome"]     = 0,
            ["Dwarf"]     = 0,
            ["Night Elf"] = 0,
            ["Draenei"]   = 0,

            ["Orc"]       = 0,
            ["Scourge"]   = 0,  --Yes, this is the undead.  Not sure why they mix it up like this.
            ["Troll"]     = 0,
            ["Tauren"]    = 0,
            ["Blood Elf"] = 0
        },
    ["ClassRepBonuses"] = 
        {
            ["DEATH KNIGHT"] = 0,
            ["DRUID"]        = 0,
            ["HUNTER"]       = 0,
            ["MAGE"]         = 0,
            ["PALADIN"]      = 0,
            ["PRIEST"]       = 0,
            ["ROGUE"]        = 0,
            ["SHAMAN"]       = 0,
            ["WARLOCK"]      = 0,
            ["WARRIOR"]      = 0
        },
    ["Quests"] = 
        {
            [1]={
                    ["Quest"] = "ObsidianWarbeads",
                    ["Stackable"] = true,
                    ["Icon"]  = "Interface\\Icons\\INV_Jewelry_Necklace_19",
                    ["Names"] = 
                        {
                            [1]={
                                    ["enUS"] = "More Warbeads",
                                    ["deDE"] = "Mehr Kriegsperlen",
                                    ["frFR"] = "Plus de perles de guerre",
                                    ["zhTW"] = "更多的戰爭串珠",
									["zhCN"] = "更多作战念珠",
                                }
                        },
                    ["RepValue"] = 500,
                    ["GoldCost"] = 0,
                    ["ItemObjectives"] = --Key:ItemID
                        {
                            [25433] = 
                                {
                                    ["Count"] = 10,
                                    ["Shareable"] = false,
                                    ["Name"] = 
                                        {
                                            ["enUS"] = "Obsidian Warbeads",
                                            ["deDE"] = "Obsidiankriegsperlen",
                                            ["frFR"] = "Perles de guerre d'obsidienne",
                                            ["zhTW"] = "黑曜石戰爭串珠",
											["zhCN"] = "黑曜石作战念珠",
                                        }
                                }
                        },
                    ["OtherObjectives"] =
                        {
                        },
                    ["MinLevel"] = 65,
                    ["RepRequirements"] =
                        {
                        },
                    ["QuestAccepters"] =
                        {
                            [1]={
                                    ["Name"] =
                                        {
                                            ["enUS"] = "Warden Moi'bff Jill",
                                            ["deDE"] = "Aufseher Moi'bff Jill",
                                            ["frFR"] = "Gardien Moi'bff Jill",
                                            ["zhTW"] = "守望者莫布夫·吉爾",
											["zhCN"] = "监护者莫布吉尔",
                                        },
                                    ["Zone"] =
                                        {
                                            ["enUS"] = "Nagrand",
                                            ["deDE"] = "Nagrand",
                                            ["frFR"] = "Nagrand",
                                            ["zhTW"] = "納葛蘭",
											["zhCN"] = "纳格兰",
                                        },
                                    ["xCoord"] = 54,
                                    ["yCoord"] = 70
                                }
                        }
                },
            [2]={["EndOfRow"] = true}
        }
}
