﻿--Make sure the global FactionData table exists.
if (FG2_FactionData == nil) then FG2_FactionData = {} end

--And now, define the faction.
FG2_FactionData["Thrallmar"] = 
{
    ["Category"] = "BurningCrusade",  --The current list of Categories is at the top of FactionGrinder2.lua
    ["Side"]     = "Horde",     --Alliance, Horde, or Both

    ["Icon"] = "Interface\\Icons\\INV_Misc_Token_Thrallmar",

    ["FactionName"] =          --These are the faction names as returned by the client in each language
        {
            ["enUS"] = "Thrallmar",
            ["deDE"] = "Thrallmar",
            ["frFR"] = "Thrallmar",
            ["zhTW"] = "索爾瑪",
			["zhCN"] = "萨尔玛",
        },

    ["Abbreviation"] =
        {
            ["enUS"] = "TM",
            ["deDE"] = "TM",
            ["frFR"] = "TM",
            ["zhTW"] = "索爾瑪",
			["zhCN"] = "萨尔玛",
        },

    ["StartingRep"] = 0,
    ["RacialRepBonuses"] = 
        {
            ["Human"]     = 0,
            ["Gnome"]     = 0,
            ["Dwarf"]     = 0,
            ["Night Elf"] = 0,
            ["Draenei"]   = 0,

            ["Orc"]       = 0,
            ["Scourge"]   = 0,  --Yes, this is the undead.  Not sure why they mix it up like this.
            ["Troll"]     = 0,
            ["Tauren"]    = 0,
            ["Blood Elf"] = 0
        },
    ["ClassRepBonuses"] = 
        {
            ["DEATH KNIGHT"] = 0,
            ["DRUID"]        = 0,
            ["HUNTER"]       = 0,
            ["MAGE"]         = 0,
            ["PALADIN"]      = 0,
            ["PRIEST"]       = 0,
            ["ROGUE"]        = 0,
            ["SHAMAN"]       = 0,
            ["WARLOCK"]      = 0,
            ["WARRIOR"]      = 0
        },
    ["Quests"] = 
        {
        }
}
